#ifndef FLASHLIGHT_H
#define FLASHLIGHT_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "flashlight_lib.h"


class FlashLight
{
public:
    FlashLight();

    int flashlight_init (FlashlightContext_t **pRefContext);
    int flashlight_open (FlashlightContext_t *flashlight, const char *device_name);
    int flashlight_set_intensity (FlashlightContext_t *flashlight, int intensity);
    int flashlight_get_intensity (FlashlightContext_t *flashlight, int *intensity);
    int flashlight_get_status (FlashlightContext_t *flashlight, int *status);
    int flashlight_close (FlashlightContext_t *flashlight);
    int flashlight_deinit (FlashlightContext_t *flashlight);

    int setON(int intensity, int status);
    int setOFF();

    FlashlightContext_t *pContext;
};

#endif // FLASHLIGHT_H
